Module | SOAP::SOAPType
In: | soap/baseData.rb

for SOAP type(base and compound)

### Methods

inspect new rootnode

### Attributes

definedtype | [RW] |
elename | [RW] |
encodingstyle | [RW] |
extraattr | [R] |
id | [RW] |
parent | [RW] |
position | [RW] |
precedents | [R] |
root | [RW] |

### Public Class methods

new(*arg)

[Source]

    # File soap/baseData.rb, line 46
      def initialize(*arg)
        super
        @encodingstyle = nil
        @elename = XSD::QName::EMPTY
        @id = nil
        @precedents = []
        @root = false
        @parent = nil
        @position = nil
        @definedtype = nil
        @extraattr = {}
      end

### Public Instance methods

inspect()

[Source]

    # File soap/baseData.rb, line 59
      def inspect
        if self.is_a?(XSD::NSDBase)
          sprintf("#<%s:0x%x %s %s>", self.class.name, __id__, self.elename, self.type)
        else
          sprintf("#<%s:0x%x %s>", self.class.name, __id__, self.elename)
        end
      end

rootnode()

[Source]

    # File soap/baseData.rb, line 67
      def rootnode
        node = self
        while node = node.parent
          break if SOAPEnvelope === node
        end
        node
      end

[Validate]